All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface EmailInterface

All Superinterfaces:
  MetadataInterface, PublicObjectInterface, java.rmi.Remote

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface EmailInterface

extends MetadataInterface

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`abstract java.lang.String` | `getAddress()` Gets the `String` value of `Address`
`abstract java.util.List<MetadataInterface>` | `getEmailSubscriber()` Gets the List of `SubscriberInterface` instances
`abstract java.lang.String` | `getEmailType()` Gets the `String` value of `EmailType`
`abstract java.util.List<PersonInterface>` | `getPersons()` Gets the List of `PersonInterface` instances
`abstract void` | `setAddress(java.lang.String address)` Sets the `String` value of `Address`
`abstract void` | `setEmailSubscribers(java.util.List<MetadataInterface> subscribers)` Sets the List of `SubscriberInterface` instances
`abstract void` | `setEmailType(java.lang.String inEmailType)` Sets the `String` value of `EmailType`
`abstract void` | `setPersons(java.util.List<PersonInterface> persons)` Sets the List of `PersonInterface` instances

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getAddress

    java.lang.String getAddress()
                                throws ServiceException,
                                       java.rmi.RemoteException

  Gets the `String` value of `Address`

  Returns:
    The Email `Address`
  Throws:
    `ServiceException` - If error getting/setting part of the object.
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEmailType

    java.lang.String getEmailType()
                                  throws ServiceException,
                                         java.rmi.RemoteException

  Gets the `String` value of `EmailType`

  Returns:
    The `EmailType`
  Throws:
    `ServiceException` - If error getting/setting part of the object.
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getEmailSubscriber

    java.util.List<MetadataInterface> getEmailSubscriber()
                                                         throws ServiceException,
                                                                java.rmi.RemoteException

  Gets the List of `SubscriberInterface` instances

  Returns:
    The List of `SubscriberInterface` instances
  Throws:
    `ServiceException` - If error getting/setting part of the object.
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### getPersons

    java.util.List<PersonInterface> getPersons()
                                               throws ServiceException,
                                                      java.rmi.RemoteException

  Gets the List of `PersonInterface` instances

  Returns:
    The List of `PersonInterface` instances
  Throws:
    `ServiceException` - If error getting/setting part of the object.
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### setAddress

    void setAddress(java.lang.String address)
                    throws ServiceException,
                           java.rmi.RemoteException

  Sets the `String` value of `Address`

  Parameters:
    `The` - email `Address`
  Throws:
    `ServiceException` - If error getting/setting part of the object.
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### setEmailType

    void setEmailType(java.lang.String inEmailType)
                      throws ServiceException,
                             java.rmi.RemoteException

  Sets the `String` value of `EmailType`

  Parameters:
    `The` - `EmailType`
  Throws:
    `ServiceException` - If error getting/setting part of the object.
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### setEmailSubscribers

    void setEmailSubscribers(java.util.List<MetadataInterface> subscribers)
                             throws ServiceException,
                                    java.rmi.RemoteException

  Sets the List of `SubscriberInterface` instances

  Parameters:
    `The` - List of `SubscriberInterface` instances
  Throws:
    `ServiceException` - If error getting/setting part of the object.
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

### setPersons

    void setPersons(java.util.List<PersonInterface> persons)
                    throws ServiceException,
                           java.rmi.RemoteException

  Sets the List of `PersonInterface` instances

  Parameters:
    `The` - List of `PersonInterface` instances
  Throws:
    `ServiceException` - If error getting/setting part of the object.
    `java.rmi.RemoteException` - If error connecting/communicating to/with remote object.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.